Bug 1345924 - Display issues with gtk+3.20
Summary: Display issues with gtk+3.20
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: 4Pane
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-13 13:03 UTC by David Hart
Modified: 2017-08-08 14:51 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-08-08 14:51:21 UTC


Attachments (Terms of Use)
Patch to fix the worst of the sizing issues (8.59 KB, patch)
2016-06-13 13:03 UTC, David Hart
no flags Details | Diff

Description David Hart 2016-06-13 13:03:06 UTC
Created attachment 1167473 [details]
Patch to fix the worst of the sizing issues

I'm the 4Pane upstream. The gtk+3 version that fedora 24 uses, 3.20.6, seems to cause problems with wxWidgets programs, both with their sizing and background colour. This affects 4Pane as follows:

On the default gnome the most serious problem is when opening a new tab, its contents aren't displayed. Opening the terminal emulator makes the tab contents show correctly, but closing it again it leaves an empty space.
Less serious problems: 
 The background of the directory-view panes is grey.
 Contents of the built-in Help dialogs are often not visible.

On KDE and Xfce, the initial single tab may display incorrectly at first. Otherwise the same as gnome, but Help contents display OK.

LXDE has the same problems, but initially no contents are visible. Help dialogs are sized at 1,1 and, if expanded, have no contents.

These are not really 4Pane problems and I shall be reporting them to the wxWidgets upstream. Meanwhile there are two possible fixes: 
 1) Build 4Pane against the wxGTK package (which uses gtk+2) instead of wxGTK3. That would solve all the problems.
 2) Apply the attached patch, which fixes the worst of the sizing issues.

My preference is for 1), but I suspect yours won't be...

Comment 1 Mamoru TASAKA 2016-06-19 13:51:53 UTC
I will apply your patch and push it on Fedora 25/24. Thank you for providing the patch.

Comment 2 Fedora Update System 2016-06-19 14:05:47 UTC
4Pane-4.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cbc56d6b3

Comment 3 Fedora Update System 2016-06-20 20:54:42 UTC
4Pane-4.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9cbc56d6b3

Comment 4 Fedora Update System 2016-06-30 21:29:38 UTC
4Pane-4.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 David Hart 2016-11-15 18:23:51 UTC
I'm delighted to report that there is now a proper fix for these problems in upstream wxWidgets, and that this is currently being applied to the wxGTK3 package; see https://bugzilla.redhat.com/show_bug.cgi?id=1392102

Would it be possible to remove this 4Pane patch for those builds that have the proper wxGTK3 patch applied, as it will then be unnecessary.

Comment 6 Mamoru TASAKA 2016-11-20 07:20:22 UTC
Okay, as new wxGTK3 is to be pushed into F-24 soon, after that I will push new 4Pane build.

Comment 7 Mamoru TASAKA 2016-12-02 10:21:51 UTC
Well, now I am using wxGTK3-3.0.2-30.fc25.x86_64, which is supposed to have the fix for bug 1392102 , however I noticed that when opening 4Pane "Help" window, the size is very small (perhaps the width is 1), regardless of applying or not applying the patch you provided on this bug.

Comment 8 David Hart 2016-12-02 11:14:41 UTC
That's right. The wxGTK fixes were for the background colour, and the worst of the sizing problems. However the tiny 'help' dialogs with some DEs must have a different cause.

Comment 9 Fedora End Of Life 2017-07-25 21:05:50 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2017-08-08 14:51:21 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.